/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author informatica
 */
@Entity
@Table(name = "errores")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "Errores.findAll", query = "SELECT e FROM Errores e")
        , @NamedQuery(name = "Errores.findByIdError", query = "SELECT e FROM Errores e WHERE e.idError = :idError")
        , @NamedQuery(name = "Errores.findByNumeroDoc", query = "SELECT e FROM Errores e WHERE e.numeroDoc = :numeroDoc")
        , @NamedQuery(name = "Errores.findByMontos", query = "SELECT e FROM Errores e WHERE e.montos = :montos")
        , @NamedQuery(name = "Errores.findByObservaciones", query = "SELECT e FROM Errores e WHERE e.observaciones = :observaciones")
        , @NamedQuery(name = "Errores.findByDimension", query = "SELECT e FROM Errores e WHERE e.dimension = :dimension")})
public class Errores implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id_error")
    private Integer idError;
    @Size(max = 45)
    @Column(name = "numero_doc")
    private String numeroDoc;
    @Size(max = 45)
    @Column(name = "montos")
    private String montos;
    @Size(max = 45)
    @Column(name = "observaciones")
    private String observaciones;
    @Size(max = 45)
    @Column(name = "dimension")
    private String dimension;

    public Errores() {
    }

    public Errores(Integer idError) {
        this.idError = idError;
    }

    public Integer getIdError() {
        return idError;
    }

    public void setIdError(Integer idError) {
        this.idError = idError;
    }

    public String getNumeroDoc() {
        return numeroDoc;
    }

    public void setNumeroDoc(String numeroDoc) {
        this.numeroDoc = numeroDoc;
    }

    public String getMontos() {
        return montos;
    }

    public void setMontos(String montos) {
        this.montos = montos;
    }

    public String getObservaciones() {
        return observaciones;
    }

    public void setObservaciones(String observaciones) {
        this.observaciones = observaciones;
    }

    public String getDimension() {
        return dimension;
    }

    public void setDimension(String dimension) {
        this.dimension = dimension;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (idError != null ? idError.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Errores)) {
            return false;
        }
        Errores other = (Errores) object;
        if ((this.idError == null && other.idError != null) || (this.idError != null && !this.idError.equals(other.idError))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.Errores[ idError=" + idError + " ]";
    }

}
